## git-crypt 0.5.0

=== Makefile ===
#
# Copyright (c) 2015 Andrew Ayer
#
# See COPYING file for license information.
#

CXXFLAGS ?= -Wall -pedantic -Wno-long-long -O2
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

ENABLE_MAN ?= no
DOCBOOK_XSL ?= http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl

OBJFILES = \
    git-crypt.o \
    commands.o \
    crypto.o \
    gpg.o \
    key.o \
    util.o \
    parse_options.o \
    coprocess.o \
    fhstream.o

OBJFILES += crypto-openssl.o
LDFLAGS += -lcrypto

XSLTPROC ?= xsltproc
DOCBOOK_FLAGS += --param man.output.in.separate.dir 1 \
		 --stringparam man.output.base.dir man/ \
		 --param man.output.subdirs.enabled 1 \
		 --param man.authors.section.enabled 1

all: build

#
# Build
#
BUILD_MAN_TARGETS-yes = build-man
BUILD_MAN_TARGETS-no =
BUILD_TARGETS := build-bin $(BUILD_MAN_TARGETS-$(ENABLE_MAN))

build: $(BUILD_TARGETS)

build-bin: git-crypt

git-crypt: $(OBJFILES)
	$(CXX) $(CXXFLAGS) -o $@ $(OBJFILES) $(LDFLAGS)

util.o: util.cpp util-unix.cpp util-win32.cpp
coprocess.o: coprocess.cpp coprocess-unix.cpp coprocess-win32.cpp

build-man: man/man1/git-crypt.1

man/man1/git-crypt.1: man/git-crypt.xml
	$(XSLTPROC) $(DOCBOOK_FLAGS) $(DOCBOOK_XSL) $<

#
# Clean
#
CLEAN_MAN_TARGETS-yes = clean-man
CLEAN_MAN_TARGETS-no =
CLEAN_TARGETS := clean-bin $(CLEAN_MAN_TARGETS-$(ENABLE_MAN))

clean: $(CLEAN_TARGETS)

clean-bin:
	rm -f $(OBJFILES) git-crypt

clean-man:
	rm -f man/man1/git-crypt.1

#
# Install
#
INSTALL_MAN_TARGETS-yes = install-man
INSTALL_MAN_TARGETS-no =
INSTALL_TARGETS := install-bin $(INSTALL_MAN_TARGETS-$(ENABLE_MAN))

install: $(INSTALL_TARGETS)

install-bin: build-bin
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 git-crypt $(DESTDIR)$(BINDIR)/

install-man: build-man
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 man/man1/git-crypt.1 $(DESTDIR)$(MANDIR)/man1/

.PHONY: all \
	build build-bin build-man \
	clean clean-bin clean-man \
	install install-bin install-man

=== debian/changelog ===
git-crypt (0.5.0-2) unstable; urgency=medium

  * Build against OpenSSL 1.0.x.  (Closes: #828312)
  * Bump standards version (no changes needed).

 -- Andrew Ayer <agwa@andrewayer.name>  Wed, 23 Nov 2016 12:51:51 -0800

git-crypt (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #785346)

 -- Andrew Ayer <agwa@andrewayer.name>  Sat, 30 May 2015 20:22:22 -0700

=== debian/control ===
Source: git-crypt
Maintainer: Andrew Ayer <agwa@andrewayer.name>
Section: vcs
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (<< 1.1.0~), xsltproc, docbook-xml, docbook-xsl
Vcs-Git: https://www.agwa.name/git/git-crypt.git -b debian
Homepage: https://www.agwa.name/projects/git-crypt

Package: git-crypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, git (>= 1.7.2)
Recommends: gnupg
Enhances: git
Description: Transparent file encryption in git
 git-crypt enables transparent encryption and decryption of files in a
 git repository.  Files which you choose to protect are encrypted when
 committed, and decrypted when checked out.  git-crypt lets you freely
 share a repository containing a mix of public and private content.
 git-crypt gracefully degrades, so developers without the secret key
 can still clone and commit to a repository with encrypted files.
 This lets you store your secret material (such as keys or passwords)
 in the same repository as your code, without requiring you to lock down
 your entire repository.

## git-crypt 0.6.0

=== debian/changelog ===
git-crypt (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Build against OpenSSL 1.1.  (Closes: #851078)

 -- Andrew Ayer <agwa@andrewayer.name>  Sun, 26 Nov 2017 10:35:27 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: vcs
 Priority: optional
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (<< 1.1.0~), xsltproc, docbook-xml, docbook-xsl
+Build-Depends: debhelper (>= 9), libssl-dev | libssl1.0-dev, xsltproc, docbook-xml, docbook-xsl
 Vcs-Git: https://www.agwa.name/git/git-crypt.git -b debian
 Homepage: https://www.agwa.name/projects/git-crypt

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://www.agwa.name/projects/git-crypt/ .*/git-crypt-(\d.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## git-crypt 0.7.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #
 
 CXXFLAGS ?= -Wall -pedantic -Wno-long-long -O2
+CXXFLAGS += -std=c++11
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
@@ -23,7 +24,7 @@
     coprocess.o \
     fhstream.o
 
-OBJFILES += crypto-openssl.o
+OBJFILES += crypto-openssl-10.o crypto-openssl-11.o
 LDFLAGS += -lcrypto
 
 XSLTPROC ?= xsltproc
@@ -54,7 +55,7 @@
 build-man: man/man1/git-crypt.1
 
 man/man1/git-crypt.1: man/git-crypt.xml
-	$(XSLTPROC) $(DOCBOOK_FLAGS) $(DOCBOOK_XSL) $<
+	$(XSLTPROC) $(DOCBOOK_FLAGS) $(DOCBOOK_XSL) man/git-crypt.xml
 
 #
 # Clean

=== debian/changelog ===
git-crypt (0.7.0-0.1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:06:48 +0100

git-crypt (0.7.0-0.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:47:56 +0000

git-crypt (0.7.0-0.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:58:57 +0000

git-crypt (0.7.0-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release.
  * Cherry-pick Ubuntu patch to fix compatibility with OpenSSL 3.0.
    (Closes: #996287)
  * debian/control: Drop obsolete build-dependency libssl1.0-dev.
    (Closes: #917346)

 -- Boyuan Yang <byang@debian.org>  Sat, 14 May 2022 11:20:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: git-crypt
-Maintainer: Andrew Ayer <agwa@andrewayer.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Ayer <agwa@andrewayer.name>
 Section: vcs
 Priority: optional
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libssl-dev | libssl1.0-dev, xsltproc, docbook-xml, docbook-xsl
+Build-Depends: debhelper (>= 9), libssl-dev, xsltproc, docbook-xml, docbook-xsl
 Vcs-Git: https://www.agwa.name/git/git-crypt.git -b debian
 Homepage: https://www.agwa.name/projects/git-crypt

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export ENABLE_MAN=yes

%:
	dh  $@

## git-crypt 0.8.0

=== debian/changelog ===
git-crypt (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1061080
  * Maintain in Salvage team
    Closes: #1117032
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Set upstream metadata fields: Bug-Submit.
  * d/watch:
     - Upstream does not provide a signature on web page
     - Version: 5
  * d/rules: hardening options

 -- Andreas Tille <tille@debian.org>  Thu, 23 Oct 2025 09:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: git-crypt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Ayer <agwa@andrewayer.name>
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Andrew Ayer <agwa@andrewayer.name>
 Section: vcs
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libssl-dev, xsltproc, docbook-xml, docbook-xsl
-Vcs-Git: https://www.agwa.name/git/git-crypt.git -b debian
+Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
+               xsltproc,
+               docbook-xml,
+               docbook-xsl
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/salvage-team/git-crypt
+Vcs-Git: https://salsa.debian.org/salvage-team/git-crypt.git
 Homepage: https://www.agwa.name/projects/git-crypt
 
 Package: git-crypt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, git (>= 1.7.2)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         git
 Recommends: gnupg
 Enhances: git
 Description: Transparent file encryption in git

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export ENABLE_MAN=yes

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@

=== debian/watch ===
Version: 5

Source: https://www.agwa.name/projects/@PACKAGE@/
Matching-Pattern: .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
